package genericitate;

import java.util.Collection;

/**
 * 
 * @author daniel
 *
 */
public class SumabilOps {

	/**
	 * Adauga toate elementele colectiei la primul element al ei si il returneaza pe acela.
	 * @param collection colectia de Sumabile
	 * @return suma tuturor elementelor din colectie
	 */
	public static <T extends Sumabil> T addAll (Collection <T> collection) {
		T result = null;
		if (collection.isEmpty())
			return result;
		
		for (T elem : collection) 
			if (result == null)
				result = elem;
			else 
				result.add(elem);
		
		return result;
	}
}
